Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.server.permission
Interface Permission

public interface Permission
extends javax.ejb.EJBObject

Provides permissions for interfaces within WLPI.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `PermissionHome`

Method Summary
`java.util.List` | `getAllRolePermissions()` Return a list of all the roles with their associated permissions.
`java.util.List` | `getAllUserPermissions()` Return a list of all the users with their associated permissions.
`java.util.List` | `getAllUserPermissions(boolean getRoles)` Return a list of all the users with their associated permissions.
`RolePermissionInfo` | `getRolePermissions(java.lang.String rolename, java.lang.String orgID)` Retrieval permission information for a specified role.
`UserPermissionInfo` | `getUserPermissions(java.lang.String username)` Retrieve a permission information for a specified user.
`UserPermissionInfo` | `getUserPermissions(java.lang.String username, boolean getRoles)` Retrieve permission information for a specified user.
`void` | `setRolePermissions(java.util.List infos)` Perform a batch update of role permissions in the system.
`void` | `setUserPermissions(java.util.List infos)` Perform a batch update of user permissions in the system.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getAllRolePermissions

    public java.util.List getAllRolePermissions()
                                         throws java.rmi.RemoteException,
                                                WorkflowException

  Return a list of all the roles with their associated permissions. Please note that this method is expensive and should not be used during runtime operations. This method is idempotent.

  Returns:
    A list of `RolePermissionInfo` objects for all roles.
  Throws:
    java.rmi.RemoteException - if a communications error occurs
    WorkflowException - if any other problem prevents the request from completing.
  Since:
    WebLogic Process Integrator 2.0

### setRolePermissions

    public void setRolePermissions(java.util.List infos)
                            throws java.rmi.RemoteException,
                                   WorkflowException

  Perform a batch update of role permissions in the system. Any number of roles can be updated in this way. This method is idempotent.

  Parameters:
    `infos` - A list of `RolePermissionInfo` objects.
  Throws:
    java.rmi.RemoteException - if a communications error occurs
    WorkflowException - if any other problem prevents the request from completing.
  Since:
    WebLogic Process Integrator 2.0

### getAllUserPermissions

    public java.util.List getAllUserPermissions()
                                         throws java.rmi.RemoteException,
                                                WorkflowException

  Return a list of all the users with their associated permissions. By default, this method returns the roles to which user belongs. Please note that this method is expensive and should not be used during runtime operations. This method is idempotent.

  Returns:
    A list of `UserPermissionInfo` objects for all users.
  Throws:
    java.rmi.RemoteException - if a communications error occurs
    WorkflowException - if any other problem prevents the request from completing.
  Since:
    WebLogic Process Integrator 2.0

### getAllUserPermissions

    public java.util.List getAllUserPermissions(boolean getRoles)
                                         throws java.rmi.RemoteException,
                                                WorkflowException

  Return a list of all the users with their associated permissions. Please note that this method is expensive and should not be used during runtime operations. This method is idempotent.

  Parameters:
    `getRoles` - If `false` do not return the associated roles, if `true` return the roles to which this user belongs.
  Returns:
    A list of `UserPermissionInfo` objects for all users.
  Throws:
    java.rmi.RemoteException - if a communications error occurs
    WorkflowException - if any other problem prevents the request from completing.
  Since:
    WebLogic Process Integrator 2.0

### setUserPermissions

    public void setUserPermissions(java.util.List infos)
                            throws java.rmi.RemoteException,
                                   WorkflowException

  Perform a batch update of user permissions in the system. Any number of users can be updated in this way. This method is idempotent.

  Parameters:
    `infos` - A list of `UserPermissionInfo` objects.
  Throws:
    java.rmi.RemoteException - if a communications error occurs
    WorkflowException - if any other problem prevents the request from completing.
  Since:
    WebLogic Process Integrator 2.0

### getUserPermissions

    public UserPermissionInfo getUserPermissions(java.lang.String username)
                                          throws java.rmi.RemoteException,
                                                 WorkflowException

  Retrieve a permission information for a specified user. This method is idempotent.

  Parameters:
    `username` - The username for which to retrieve information.
  Returns:
    Information about the specified user's permissions.
  Throws:
    java.rmi.RemoteException - if a communications error occurs
    WorkflowException - if any other problem prevents the request from completing.
  Since:
    WebLogic Process Integrator 2.0
  See Also:
    `setUserPermissions(List)`

### getUserPermissions

    public UserPermissionInfo getUserPermissions(java.lang.String username,
                                                 boolean getRoles)
                                          throws java.rmi.RemoteException,
                                                 WorkflowException

  Retrieve permission information for a specified user. This method is idempotent.

  Parameters:
    `username` - The username for which to retrieve information.
    `getRoles` - If `false`, do not return the associated roles, if `true` return the roles to which this user belongs.
  Returns:
    Information about the specified user's permissions.
  Throws:
    java.rmi.RemoteException - if a communications error occurs
    WorkflowException - if any other problem prevents the request from completing.
  Since:
    WebLogic Process Integrator 2.0
  See Also:
    `setUserPermissions(List)`

### getRolePermissions

    public RolePermissionInfo getRolePermissions(java.lang.String rolename,
                                                 java.lang.String orgID)
                                          throws java.rmi.RemoteException,
                                                 WorkflowException

  Retrieval permission information for a specified role. This method is idempotent.

  Parameters:
    `rolename` - The rolename to retrieve
    `orgID` - The role organization
  Returns:
    Information about the specified role's permissions.
  Throws:
    java.rmi.RemoteException - if a communications error occurs
    WorkflowException - if any other problem prevents the request from completing.
  Since:
    WebLogic Process Integrator 2.0
  See Also:
    `setRolePermissions(List)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)